Update an integration
PUT
/api/v1/integrations/{integration_id}
const url = 'https://renotify.app/api/v1/integrations/16';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"Customer Sheet","credentials":{"refresh_token":"token"},"config":{"sync_frequency":"hourly"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://renotify.app/api/v1/integrations/16 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "Customer Sheet", "credentials": { "refresh_token": "token" }, "config": { "sync_frequency": "hourly" } }'Update an existing integration’s name, credentials, or configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”integration_id
required
integer
The ID of the integration.
Example
16Request Body
Section titled “Request Body”Media typeapplication/json
object
name
The integration name.
string
Example
Customer Sheetcredentials
The credentials to merge into the integration.
object
Example
{ "refresh_token": "token"}config
Additional integration configuration.
object
sync_frequency
The sync frequency.
string
Example
hourlyfield_mappings
Field mappings from the source system.
Array<string>
Example
[ { "source": "email", "target": "email" }]Example
{ "sync_frequency": "hourly"}